< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package ct
  Definition Classes
    hmrc
-  package box
  Definition Classes
    ct
-  package formats
  Definition Classes
    box
-  package retriever
  Definition Classes
    box
- AnnualConstant
- Calculated
- CompoundCalculated
- CtBigDecimal
- CtBoolean
- CtBoxIdentifier
- CtDate
- CtInteger
- CtOptionalBigDecimal
- CtOptionalBoolean
- CtOptionalDate
- CtOptionalInteger
- CtOptionalString
- CtString
- CtTypeConverters
- CtValidation
- CtValue
- Debit
- EndDate
- ExtraValidation
- Input
- InputWithDefault
- Linked
- MustBeNoneOrZeroOrPositiveDecimal
- MustBeZeroOrPositive
- NotInPdf
- OptionalCtValue
- SelfValidatableBox
- StartDate
- ValidatableBox
- Validators

c

uk.gov.hmrc.ct.box

# CtValidation 

###
Companion object CtValidation

#### case class CtValidation(boxId: Option[String], errorMessageKey: String, args: Option[Seq[String]] = None) extends Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CtValidation
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new CtValidation(boxId: Option[String], errorMessageKey: String, args: Option[Seq[String]] = None)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val args: Option[Seq[String]]
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  val boxId: Option[String]
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
8.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
9.  val errorMessageKey: String
10.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
11.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  def isGlobalError: Boolean
13.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
14.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
18.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
19.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
20.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped